Kerbal Space Program - Bug #9456

Trackir 5 not working in 64-bit windows 10
04/23/2016 10:41 PM - bigwookiee

Status: Confirmed Start date: 04/23/2016
Severity: Low % Done: 10%
Assignee:

Category: Controls and Ul

Target version:

Version: 1.1.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

64-bit KSP

build id = 01230

2016.04.19 at 19:58:54 CEST
Branch: master

32-bit KSP

build id = 01230

2016.04.19 at 19:27:27 CEST
Branch: master

from setting.cfg
INPUT_KEYBOARD_SENSIVITITY =2
dontShowLauncher = False
TRACKIR_ENABLED = True <------
FEMALE_EYE_OFFSET_X =0
FEMALE_EYE_OFFSET_Y = 0.009083331
Tracklr 5 only works in 32 bit ksp

| checked setting cfg as well as the setting screen in ksp and it is enabled. Yet it only works in the 32 bit version of the game.

History

#1 - 04/29/2016 04:47 PM - -dead-

Here's a workaround, 'til Squad get around to putting the correct TrackIRUnity.dll in the x64 folder:

Replace the TracklRUnity.dll in the "Kerbal Space Program\KSP_x64_Data\Managed" folder with the one from KerbTrack 1.2
http://kerbal.curseforge.com/ksp-mods/224254-kerbtrack (it's in the "GameData\KerbTrack\Plugins\" folder).

or

Replace the TracklRUnity.dll in the "Kerbal Space Program\KSP_x64_Data\Managed" folder with the one from here:
https://github.com/medsouz/Unity-TrackIR-Plugin-DLL/releases

Start the x64 version and it's green lights and twisty-turny views all round!

Both options work, up to you which you feel comfy with (downloading the zip from KerbTrack won't make Chrome & antivirus things get scared about
just downloading a .dll)

#2 - 06/24/2016 11:11 PM - linuxgurugamer

KSP 1.1.3
TrackIR version 5.4.2.27545

Stock KSP doesn't work in 64 bit, works in 32 bit.
Following the instructions above fixes it.

This really sucks, | shouldn't have to do this
http://kerbal.curseforge.com/ksp-mods/224254-kerbtrack
https://github.com/medsouz/Unity-TrackIR-Plugin-DLL/releases

#3 - 07/17/2016 10:20 AM - TriggerAu
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#5 - 08/13/2016 11:12 PM - peder

Just want to add, that | confirm trackir do not work in kerbal 1.1.3 64bit windows 10.
only work in 32 bit as people already say.

| wrote this in the hope it get notised and fixed ;-)
Thanks for a great game.

#6 - 10/15/2016 01:49 PM - -dead-

Still a problem in KSP 1.2 -- workaround still works.
I know it's low priority, but it's also a 2 second fix: just replace the file -- it's not exactly rocket science (ironic). ;-)

#7 - 11/27/2016 02:50 PM - BigNose
Fixed DLL for 64bit KSP ( https://github.com/m z/Unity-TrackIR-Plugin-DLL/rel ) is no longer working, as discribed here:

http://forum.kerbalspaceprogram.com/index.php?/topic/152492-121-trackir-5-not-detected-in-x64-again/

This problem needs new attention, in KSP 1.2.1x64 TrackIR 5 does not work at all anymore, no workaround known so far.

#8 - 03/12/2017 10:56 PM - SpiralOut

The newest version of KerbTrack (v1.4) now functions again as a workaround in KSP 1.2.2x64.

As originally described, replace the TracklRUnity.dll in the "Kerbal Space Program\KSP_x64_Data\Managed" folder with the dIl from this link:
https://github.com/pizzaoverhead/KerbTrack/releases/
